GccPlatformToolChain (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.nativeplatform.toolchain

## [Java] Interface GccPlatformToolChain

- org.gradle.nativeplatform.toolchain.NativePlatformToolChain

- All Superinterfaces:
    NativePlatformToolChain

  GCC specific settings for the tools used to build for a particular platform.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GccCommandLineToolConfiguration` | `getAssembler()` Returns the settings to use for the assembler.
    `GccCommandLineToolConfiguration` | `getCppCompiler()` Returns the settings to use for the C++ compiler.
    `GccCommandLineToolConfiguration` | `getLinker()` Returns the settings to use for the linker.
    `GccCommandLineToolConfiguration` | `getObjcCompiler()` Returns the settings to use for the Objective-C compiler.
    `GccCommandLineToolConfiguration` | `getObjcppCompiler()` Returns the settings to use for the Objective-C++ compiler.
    `GccCommandLineToolConfiguration` | `getStaticLibArchiver()` Returns the settings to use for the archiver.
    `GccCommandLineToolConfiguration` | `getcCompiler()` Returns the settings to use for the C compiler.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativePlatformToolChain` | `getPlatform`

- - ### Method Detail

    - #### public GccCommandLineToolConfiguration getAssembler()

      Returns the settings to use for the assembler.

    - #### public GccCommandLineToolConfiguration getCppCompiler()

      Returns the settings to use for the C++ compiler.

    - #### public GccCommandLineToolConfiguration getLinker()

      Returns the settings to use for the linker.

    - #### public GccCommandLineToolConfiguration getObjcCompiler()

      Returns the settings to use for the Objective-C compiler.

    - #### public GccCommandLineToolConfiguration getObjcppCompiler()

      Returns the settings to use for the Objective-C++ compiler.

    - #### public GccCommandLineToolConfiguration getStaticLibArchiver()

      Returns the settings to use for the archiver.

    - #### public GccCommandLineToolConfiguration getcCompiler()

      Returns the settings to use for the C compiler.